extends Scene


func _on_island_garden_pond_interacted() -> void:
	$kq4_036_island_garden_pond.default_script(self)


func _on_island_beach_interacted() -> void:
	$kq4_034_island_beach.default_script(self)


func _on_room_looked() -> void:
	start_main_script(ScriptBuilder.init(
		ScriptBuilder.narrate("You see the beach of a beautiful enchanted island. Behind you, an ivory palace rises majestically. A luxuriant garden encircles the magnificent palace.")
	).build(self, "_on_script_complete"))


func _on_beach_looked() -> void:
	start_main_script(ScriptBuilder.init(
		ScriptBuilder.narrate("The sandy beach is white and pristine. Crystal clear water laps at the shore.")
	).build(self, "_on_script_complete"))
